List billables
curl --request GET \
--url https://api.contracting.kukkingu.software/api/v1/billables \
--header 'Authorization: Bearer <token>' \
--header 'tenant-id: <tenant-id>'import requests
url = "https://api.contracting.kukkingu.software/api/v1/billables"
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'tenant-id': '<tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.contracting.kukkingu.software/api/v1/billables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "bil_eym9hcqlh1m7v3d36blf0vfx",
"invoice": "inv_mqxd1kc6bgtcc676xoqzax47",
"name": "Monthly subscription",
"quantity": 10,
"amountMinor": 5000,
"currencyCode": "EUR",
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"referenceType": "JIRA",
"referenceId": "PROJ-123",
"description": "Monthly subscription for service X.",
"metadata": {
"project": "Alpha",
"priority": "High"
},
"order": 13
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Billables
List billables
Retrieves billables for the authenticated tenant.
GET
/
api
/
v1
/
billables
List billables
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Query Parameters
Comma-separated list of relations to expand. Allowed values: invoice, invoice.contract, invoice.contract.client.
Example:
"invoice,invoice.contract,invoice.contract.client"
The ID of the invoice.
Example:
"inv_mqxd1kc6bgtcc676xoqzax47"
Response
Default Response
Standard success response payload wrapped in a data property.
List of billables returned by the API.
Show child attributes
Show child attributes